
Redmine - Defect #23575

Issue subjects are truncated at 60 characters on activity page

2016-08-12 10:39 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed Affected version:  

Description

While the 60 character limitation has been removed elsewhere (see #18659, #19970), the issue still persists in several places,

including the activity page:

 activity_truncated.PNG 

Associated revisions

Revision 15858 - 2016-10-01 13:05 - Jean-Philippe Lang

Don't truncate activity titles (#23575).

History

#1 - 2016-08-12 10:45 - Anonymous

In fact the truncation here is at 100, not 60 characters. Still, this is totally unnecessary with modern wide displays and usual screen resolutions. The

truncation should be completely removed or set to the field's max length.

#2 - 2016-08-12 15:16 - Toshi MARUYAMA

- Category set to UI

#3 - 2016-08-20 17:24 - Marius BĂLTEANU

- File do-not-truncate-activity-subject.patch added

- File after.png added

- File before.png added

I made a patch that changes the truncation of activity subject/title from 100 characters to activity block max width (using CSS).

Before patch:

 before.png 

After patch:

 after.png 

It's a small change that will improve this page.

#4 - 2016-08-22 16:27 - Toshi MARUYAMA

- Target version set to 3.4.0

#5 - 2016-10-01 13:06 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r15858. I've preserved the call to #format_activity_title and changed its behaviour.

#6 - 2016-10-05 09:54 - Anonymous

Great! Thank you.
https://www.redmine.org/issues/18659
https://www.redmine.org/issues/19970
https://www.redmine.org/projects/redmine/repository/svn/revisions/15858
